function S = BScurve4(b,k,t)
%
% S = BScurve(b,k,t)
%
% B-spline curve with control points b of order k evaluated at t
S = zeros(size(b,1),size(t,2));
n = size(b,2)-1;
if (nargin == 3)
  knots = linspace(0,1,n+1-k+2);
  knots = [zeros(1,k-1),knots,ones(1,k-1)];
end
Bform = spmal(knots,b);
S = spval(Bform,t):
